var app = {
    initialize: function() 
	{
        this.bindEvents();
    },
    bindEvents: function() 
	{
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function() 
	{
        app.receivedEvent('deviceready');
		document.addEventListener("touchmove", function(e){e.preventDefault();}, false);
		start();
    },
    receivedEvent: function(id) 
	{
        console.log('\n\nReceived Event: ' + id + '\n\n');
    }
};

function onPause()
{
	console.log("Pausing...");
}

function onResume()
{
	if(storeReady)
	{
		if(smallCoffee.state == store.OWNED)
		{
			console.log("No interstitial to show... (1)");
			if(definingWallpaper)
			{
				definingWallpaper = false;
				injectedObject.callGoToHomeScreen();
			}
		}
		else if(definingWallpaper && onLine)
		{
			definingWallpaper = false;
			injectedObject.showAmpiriInterstitial();
		}
		else
		{
			console.log("No interstitial to show... (2)");
		}
	}
	else if(definingWallpaper)
	{
		definingWallpaper = false;
		injectedObject.showAmpiriInterstitial();
	}
	else
	{
		console.log("No interstitial to show... (3)");
	}
	organizeScreen();
}

function definesValues()
{
	storeReady = false;
	helpMsg1 = "There are only 3 simple steps to<br />set your GIF as a Live Wallpaper.<br />Here you choose your GIF image.<br />Touch the screen to the next step.";
	helpMsg2 = "In this area you<br />position and scale the<br />image the way you like.";
	helpMsg3 = "If the things are not the way<br />you want, you can reset image<br />size and position here.";
	helpMsg4 = "All set?<br />Here you go to your phone settings<br />in order to confirm your selection.";
	GIFErrorMsg = "<br />Only '.GIF' images.<br />Sorry about that. :D";
	menuThanks = "Thank you so much for using my app.<br />I am a one man company and that's how<br />I pay my bills. If you like this app,<br />please support my work.";
	menuSupport1 = "Give the app<br />some stars<br />and a review";
	menuSupport2 = "Share it<br />with friends<br />and family";
	menuSupport3 = "Buy me a<br />coffee and get<br />rid of the ads";
	otherappsTXT = "Want to know my other apps?";
	app1TXT = "Weather<br />foreKitty";
	app2TXT = "Daylight<br />&nbsp;";
	app3TXT = "Flashlight<br />& Brightness";
	fullVersion = "Full version.";
	checking = "Checking...";
	noInternet = "No Internet connection...";
	previewOnOffTXT = "Landscape<br />preview";
	vibrationOnOffTXT = "Vibrate";
	BGColorTXT = "Background color (transparent GIFs)";
	eyedropperTXT = "Pick a color";
	newsTXT = "news-en.jpg";
	newsNoTXT = "No&nbsp;&nbsp;:_(";
	newsYesTXT = "Yes&nbsp;&nbsp;:cD";
	vibTime = 35;
	newsAnswered = false;
	mainButtonsShownFirstTime = false;
	chosenGIFbyUser = null;
	chosenGIFFullPath = null;
	imageURItemp = "";
	onLine = null;
	dist0 = null;
	dist1 = null;
	moveAlwowed = true;
	midPointX = null;
	midPointY = null;
	xTouch = null;
	yTouch = null;
	imageMidPointX = null;
	imageMidPointY = null;
	helpScreen = 1;
	chosenGIFConstant = "GifLiveWallpaper.gif";
	rand = Math.round(Math.random() * 10000);
	xPreview = 0;
	yPreview = 0;
	chosenGIFScale = 1.0;
	document.getElementById("preview").style.left = "0px";
	document.getElementById("preview").style.top = "0px";
	document.getElementById("preview").style.right = "0px";
	document.getElementById("preview").style.bottom = "0px";
	deviceDimX = injectedObject.screenDimX();
	deviceDimY = injectedObject.screenDimY();
	if(screen_h < 400)
	{
		adHeight = 32;
		document.getElementById("adRobot").style.marginTop = "-32px";
		document.getElementById("adRobot").style.height = "32px";
	}
	else if(screen_h >= 400 && screen_h < 720)
	{
		adHeight = 50;
		document.getElementById("adRobot").style.marginTop = "-50px";
		document.getElementById("adRobot").style.height = "50px";
	}
	else if(screen_h >= 720)
	{
		adHeight = 90;
		document.getElementById("adRobot").style.marginTop = "-90px";
		document.getElementById("adRobot").style.height = "90px";
	}
	marginTopDown = Math.floor(screen_h * 0.02);
	doubleMarginTopDown = marginTopDown + Math.floor(screen_h * 0.02);
	marginLeftRight = ((screen_w - (screen_h - adHeight - doubleMarginTopDown) / (screen_h / screen_w)) / 2);
	doubleMarginLeftRight = marginLeftRight * 2;
	sliderWidth = (screen_w - doubleMarginLeftRight) * 0.8;
	buttomSize = Math.floor(screen_h * 0.05);
	scaling = false;
	firstTime = localStorage.getItem('firstTime');
	if(firstTime == null || firstTime != "no")
	{
		firstTime = "yes";
	}
	justSawHelp = false;
	previewLandscapeSetting = localStorage.getItem('previewLandscapeSetting');
	vibrationSetting = localStorage.getItem('vibrationSetting');
	factor = deviceDimX / ((screen_h - adHeight - doubleMarginTopDown) / (screen_h / screen_w));
	messageTimeOut = null;
	redBG = 30;
	greenBG = 30;
	blueBG = 30;
	injectedObject.backgroundRGB(redBG, greenBG, blueBG);
	frameRate = 1;
	injectedObject.changeframeRate(frameRate);
	if(localStorage.getItem('launchCountMotiWeather'))
	{
		launchCountMotiWeather = parseInt(localStorage.getItem('launchCountMotiWeather'));
	}
	else
	{
		launchCountMotiWeather = 0;
	}
	launchCountMotiWeather ++;
	localStorage.setItem("launchCountMotiWeather", launchCountMotiWeather);
	document.getElementById("news").style.background = "url('file:///android_asset/www/img/" + newsTXT + "') no-repeat top center";
	document.getElementById("news").style.backgroundSize = "cover";
	definingWallpaper = false;
}

function definesAdArea()
{
	document.getElementById("adRobot").style.visibility = "visible";
	if(screen_h < 400)
	{
		adHeight = 32;
		document.getElementById("adRobot").style.marginTop = "-32px";
		document.getElementById("adRobot").style.height = "32px";
	}
	else if(screen_h >= 400 && screen_h < 720)
	{
		adHeight = 50;
		document.getElementById("adRobot").style.marginTop = "-50px";
		document.getElementById("adRobot").style.height = "50px";
	}
	else if(screen_h >= 720)
	{
		adHeight = 90;
		document.getElementById("adRobot").style.marginTop = "-90px";
		document.getElementById("adRobot").style.height = "90px";
	}
}

function start()
{
	verifyScreenDimensions();
	definesValues();
	initUserConsent();
	checkLanguage();
	injectedObject.changeImageScale(chosenGIFScale);
	organizeScreen();
	setTimeout(function()
	{
		showMainButtons();
		mainButtonsShownFirstTime = true;
	}, 2500);
	if(firstTime != "no")
	{
		showMainButtons();
		help();
	}
	if(previewLandscapeSetting != "off" && previewLandscapeSetting != null)
	{
		document.getElementById("previewLandscapeExt").style.visibility = "visible";
		document.getElementById("previewOnOff").style.background = "url('file:///android_asset/www/img/on.png') no-repeat right center";
		document.getElementById("previewOnOff").style.backgroundSize = "contain";
	}
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		document.getElementById("vibrationOnOff").style.background = "url('file:///android_asset/www/img/on.png') no-repeat right center";
		document.getElementById("vibrationOnOff").style.backgroundSize = "contain";
	}
	checkStart();
	document.addEventListener("backbutton", backPressed, false);
	document.addEventListener("pause", onPause, false);
	document.addEventListener("resume", onResume, false);
	setTimeout(function()
	{
		verifyUserConsent(UserConsentMsg);
	}, 500);
}

function checkStart()
{
	interval = setInterval(function()
	{
		userConsent = localStorage.getItem('userConsent');
		if(userConsent == "yes")
		{
			$('#newsNo').bind('touchstart', newsNo);
			$('#newsYes').bind('touchstart', newsYes);
			$('#helpDiv').bind('touchstart', helpAction);
			$('#previewOver').bind('touchstart', moveStart);
			$('#previewOver').bind('touchmove', moveMove);
			$('#previewOver').bind('touchend touchcancel', moveEnd);
			$('#buttonPick').bind('touchend', pickImage);
			$('#buttonMenuOpt').bind('touchend', openCloseMenu);
			$('#buttonreset').bind('touchend', resetImage);
			$('#buttonDefine').bind('touchend', openGIFonSettings);
			$('#sliderR').bind('touchmove', sliderRMove);
			$('#sliderR').bind('touchend touchcancel', slidersEnd);
			$('#sliderG').bind('touchmove', sliderGMove);
			$('#sliderG').bind('touchend touchcancel', slidersEnd);
			$('#sliderB').bind('touchmove', sliderBMove);
			$('#sliderB').bind('touchend touchcancel', slidersEnd);
			$('#eyeDropper').bind('touchstart', eyeDropper);
			$('#previewOnOff').bind('touchstart', previewLandscapeOnOff);
			$('#vibrationOnOff').bind('touchstart', vibrationOnOff);
			$('#support1').bind('touchend', support1);
			$('#support2').bind('touchend', support2);
			$('#support3').bind('touchend', support3);
			$('#app1').bind('touchend', app1);
			$('#app2').bind('touchend', app2);
			$('#app3').bind('touchend', app3);
			$('#buttonPlus').bind('touchend', buttonPlus);
			$('#buttonMinus').bind('touchend', buttonMinus);
			$('#buttonUp').bind('touchend', buttonUp);
			$('#buttonDown').bind('touchend', buttonDown);
			$('#buttonRight').bind('touchend', buttonRight);
			$('#buttonLeft').bind('touchend', buttonLeft);
			$('#buttonCenter').bind('touchend', buttonCenter);
			clearInterval(interval);
			checkConnection();
			document.addEventListener("online", onOnline, false);
			document.addEventListener("offline", onOffline, false);
		}
	}, 1000);
}

function newsNo()
{
	document.getElementById("newsNo").style.backgroundColor = "#000";
	document.getElementById("newsNo").style.color = "#fff";
	setTimeout(function()
	{
		document.getElementById("newsBottom").style.visibility = "hidden";
		document.getElementById("news").style.visibility = "hidden";
	}, 150);
	newsAnswered = true;
}

function newsYes()
{
	document.getElementById("newsYes").style.backgroundColor = "#000";
	document.getElementById("newsYes").style.color = "#fff";
	setTimeout(function()
	{
		document.getElementById("newsBottom").style.visibility = "hidden";
		document.getElementById("news").style.visibility = "hidden";
		window.open('https://play.google.com/store/apps/details?id=com.awesome.motiWeather', '_system', 'location=no');
	}, 150);
	newsAnswered = true;
}

function checkConnection() 
{
    var networkState = navigator.connection.type;
    var states = {};
    states[Connection.UNKNOWN]  = 'Unknown connection';
    states[Connection.ETHERNET] = 'Ethernet connection';
    states[Connection.WIFI]     = 'WiFi connection';
    states[Connection.CELL_2G]  = 'Cell 2G connection';
    states[Connection.CELL_3G]  = 'Cell 3G connection';
    states[Connection.CELL_4G]  = 'Cell 4G connection';
    states[Connection.CELL]     = 'Cell generic connection';
    states[Connection.NONE]     = 'No network connection';
	if(states[networkState] == "No network connection")
	{
		onOffline();
	}
	else
	{
		onOnline();
	}
}

function onOnline()
{
	onLine = true;
	document.getElementById("adRobot").innerHTML = "";
	showMessage(checking, 4000);
	if(firstTime == "no")
	{
		console.log("firstime = no");
		if(storeReady)
		{
			console.log("store ready");
			checkForPurchasedCoffee();
		}
		else
		{
			initStore();
			setTimeout(function()
			{
				if(!storeReady || smallCoffee.state != store.OWNED)
				{
					definesAdArea();
					if(!justSawHelp)
					{
						organizeScreen();
					}
					injectedObject.showAmpiriBanner();
					document.getElementById("adRobot").style.background = "url('file:///android_asset/www/img/adIcon.png') no-repeat center bottom #333";
					document.getElementById("adRobot").style.backgroundSize = "25%";
					showMessage(" ", 100);
				}
			}, 2000);
		}
	}
}

function onOffline()
{
	onLine = false;
	if(storeReady)
	{
		if(smallCoffee.state != store.OWNED)
		{
			definesAdArea();
			organizeScreen();
			document.getElementById("adRobot").innerHTML = noInternet;
			document.getElementById("adRobot").style.background = "url('file:///android_asset/www/img/adIcon.png') no-repeat right bottom";
			document.getElementById("adRobot").style.backgroundSize = "25%";
			injectedObject.hideAmpiriBanner();
			if(document.getElementById("preview").innerHTML != "")
			{
				refreshPreviewSize();
			}
		}
	}
	else
	{
		definesAdArea();
		organizeScreen();
		document.getElementById("adRobot").innerHTML = noInternet;
		document.getElementById("adRobot").style.background = "url('file:///android_asset/www/img/adIcon.png') no-repeat right bottom";
		document.getElementById("adRobot").style.backgroundSize = "25%";
		injectedObject.hideAmpiriBanner();
		if(document.getElementById("preview").innerHTML != "")
		{
			refreshPreviewSize();
		}
	}
}

function initStore()
{
	if(!storeReady)
	{
		if(!window.store) 
		{
			console.log('Store not available.');
			definesAdArea();
			return;
		}
		store.verbosity = store.INFO; // QUIET - ERROR - WARNING - INFO - DEBUG
		console.log('Registering product...');
		store.register({
			id:    'gif_live_wallpaper_small_coffee',
			alias: 'gif_live_wallpaper_small_coffee',
			type:   store.NON_CONSUMABLE //CONSUMABLE - NON_CONSUMABLE
		});
		store.error(function(error) 
		{
			showMessage('Store error (code ' + error.code + '):<br/><br/><br/>' + error.message, 10000);
			if(document.getElementById("Menu").style.visibility == "visible")
			{
				openCloseMenu();
			}
		});
		store.ready(function() 
		{
			console.log("Store ready.");
			smallCoffee = store.get("gif_live_wallpaper_small_coffee");
			//console.log(JSON.stringify(smallCoffee, null, 1));
			store.when("product").updated(function(p)
			{
				smallCoffee = store.get("gif_live_wallpaper_small_coffee");
				console.log("Store updated. " + smallCoffee.title + ": " + smallCoffee.state);
			});
			store.when("gif_live_wallpaper_small_coffee").approved(function(product) 
			{
				product.finish();
			});
			store.when("gif_live_wallpaper_small_coffee").owned(function(product) 
			{
				enableFullVersion();
			});
			storeReady = true;
			console.log('Refreshing store...');
			store.refresh();
		});
		store.refresh();
	}
}

function enableFullVersion()
{
	adHeight = 0;
	document.getElementById("previewOver").innerHTML += ("<br/><br/>" + fullVersion);
	document.getElementById("preview").innerHTML = "";
	document.getElementById("previewLandscape").innerHTML = "";
	setTimeout(function()
	{
		showMessage(fullVersion, 2500);
	}, 1000);
	document.getElementById("adRobot").style.visibility = "hidden";
	document.getElementById("support3").style.visibility = "hidden";
	injectedObject.hideAmpiriBanner();
	organizeScreen();
}

function checkForPurchasedCoffee()
{
	if(smallCoffee.state == store.OWNED)
	{
		enableFullVersion();
	}
	else
	{
		//shows ad
		definesAdArea();
		organizeScreen();
		injectedObject.showAmpiriBanner();
		document.getElementById("adRobot").style.background = "url('file:///android_asset/www/img/adIcon.png') no-repeat center bottom #333";
		document.getElementById("adRobot").style.backgroundSize = "25%";
		showMessage(" ", 100);
	}
	if(document.getElementById("preview").innerHTML != "")
	{
		refreshPreviewSize();
	}
}

function help()
{
	document.getElementById("helpDiv").style.visibility = "visible";
	document.getElementById("helpCircle").style.left = marginLeftRight + marginTopDown + (buttomSize / 2) + "px";
	document.getElementById("helpCircle").style.top = doubleMarginTopDown + (buttomSize / 2) + "px";
	document.getElementById("helpMessage").innerHTML = helpMsg1;
	document.getElementById("helpMessage").style.top = "150px";
}

function helpAction(ev)
{
	ev.preventDefault();
	helpScreen ++;
	helpOrganize();
}

function helpOrganize()
{
	switch(helpScreen) 
	{
		case 2:
			document.getElementById("helpCircle").style.visibility = "hidden";
			document.getElementById("helpSquare").style.visibility = "visible";
			document.getElementById("helpMove").style.visibility = "visible";
			document.getElementById("helpPinch").style.visibility = "visible";
			document.getElementById("helpMessage").innerHTML = helpMsg2;
			document.getElementById("helpMessage").style.top = (((screen_h - adHeight) / 2) - 30) + "px";
		break;
		case 3:
			document.getElementById("helpMove").style.visibility = "hidden";
			document.getElementById("helpPinch").style.visibility = "hidden";
			document.getElementById("helpSquare").style.visibility = "hidden";
			document.getElementById("helpCircle").style.visibility = "visible";
			document.getElementById("helpCircle").style.left = marginLeftRight + marginTopDown + (buttomSize / 2) + "px";
			document.getElementById("helpCircle").style.top = "100%";
			document.getElementById("helpCircle").style.marginTop = (-1500 - (buttomSize / 2) - doubleMarginTopDown - adHeight) + "px";
			document.getElementById("helpMessage").innerHTML = helpMsg3;
			document.getElementById("helpMessage").style.top = ((screen_h - adHeight) - 200) + "px";
		break;
		case 4:
			document.getElementById("helpCircle").style.left = screen_w - marginLeftRight - marginTopDown - (buttomSize / 2) + "px";
			document.getElementById("helpCircle").style.top = "100%";
			document.getElementById("helpCircle").style.marginTop = (-1500 - (buttomSize / 2) - doubleMarginTopDown - adHeight) + "px";
			document.getElementById("helpMessage").innerHTML = helpMsg4;
			document.getElementById("helpMessage").style.top = ((screen_h - adHeight) - 200) + "px";
		break;
		case 5:
			document.getElementById("helpCircle").style.visibility = "hidden";
			document.getElementById("helpDiv").style.visibility = "hidden";
			localStorage.setItem("firstTime", "no");
			firstTime = "no";
			justSawHelp = true;
			checkConnection();
		break;
	}
}

function organizeScreen()
{
	if(launchCountMotiWeather == 5 && !newsAnswered)
	{
		document.getElementById("newsBottom").style.visibility = "visible";
		document.getElementById("news").style.visibility = "visible";
		
	}
	else
	{
		document.getElementById("newsBottom").style.visibility = "hidden";
		document.getElementById("news").style.visibility = "hidden";
	}
	factor = deviceDimX / ((screen_h - adHeight - doubleMarginTopDown) / (screen_h / screen_w));
	marginLeftRight = ((screen_w - (screen_h - adHeight - doubleMarginTopDown) / (screen_h / screen_w)) / 2);
	doubleMarginLeftRight = marginLeftRight * 2;
	document.getElementById("previewExt").style.top = marginTopDown + "px";
	document.getElementById("previewExt").style.bottom = (adHeight + marginTopDown) + "px";
	document.getElementById("previewExt").style.left = marginLeftRight + "px";
	document.getElementById("previewExt").style.right = marginLeftRight + "px";

	document.getElementById("previewOver").style.top = marginTopDown + "px";
	document.getElementById("previewOver").style.bottom = (adHeight + marginTopDown) + "px";
	document.getElementById("previewOver").style.left = marginLeftRight + "px";
	document.getElementById("previewOver").style.right = marginLeftRight + "px";
	
	document.getElementById("previewLandscapeExt").style.width = ((screen_h - doubleMarginTopDown) / 4) + "px";
	document.getElementById("previewLandscapeExt").style.height = ((screen_w - doubleMarginLeftRight) / 4) + "px";
	document.getElementById("previewLandscapeExt").style.bottom = marginTopDown + "px";
	document.getElementById("previewLandscapeExt").style.marginLeft = 0 - (parseInt(document.getElementById("previewLandscapeExt").style.width) / 2) + "px";
	
	document.getElementById("Menu").style.top = marginTopDown + "px";
	document.getElementById("Menu").style.bottom = (adHeight + marginTopDown) + "px";
	document.getElementById("Menu").style.left = marginLeftRight + "px";
	document.getElementById("Menu").style.right = marginLeftRight + "px";
	
	document.getElementById("buttonPick").style.position = "absolute";
	document.getElementById("buttonPick").style.top = doubleMarginTopDown + "px";
	document.getElementById("buttonPick").style.width = buttomSize + "px";
	document.getElementById("buttonPick").style.height = buttomSize + "px";
	document.getElementById("buttonPick").style.left = marginLeftRight + marginTopDown + "px";
	document.getElementById("buttonPick").style.background = "url('file:///android_asset/www/img/pick.svg') no-repeat center center";
	document.getElementById("buttonPick").style.backgroundSize = "contain";
	document.getElementById("buttonPick").style.zIndex = "3";
	
	document.getElementById("eyeDropper").style.position = "absolute";
	document.getElementById("eyeDropper").style.top = doubleMarginTopDown + "px";
	document.getElementById("eyeDropper").style.width = buttomSize + "px";
	document.getElementById("eyeDropper").style.height = buttomSize + "px";
	document.getElementById("eyeDropper").style.left = "50%";
	document.getElementById("eyeDropper").style.marginLeft = 0 - (buttomSize / 2) + "px";
	document.getElementById("eyeDropper").style.background = "url('file:///android_asset/www/img/eyedropper.svg') no-repeat center center";
	document.getElementById("eyeDropper").style.backgroundSize = "contain";
	document.getElementById("eyeDropper").style.zIndex = "3";
	
	document.getElementById("buttonMenuOpt").style.position = "absolute";
	document.getElementById("buttonMenuOpt").style.top = doubleMarginTopDown + "px";
	document.getElementById("buttonMenuOpt").style.width = buttomSize + "px";
	document.getElementById("buttonMenuOpt").style.height = buttomSize + "px";
	document.getElementById("buttonMenuOpt").style.right = marginLeftRight + marginTopDown + "px";
	document.getElementById("buttonMenuOpt").style.background = "url('file:///android_asset/www/img/menu-0.svg') no-repeat top center";
	document.getElementById("buttonMenuOpt").style.backgroundSize = "contain";
	document.getElementById("buttonMenuOpt").style.zIndex = "5";
	
	document.getElementById("buttonUp").style.position = "absolute";
	document.getElementById("buttonUp").style.top = "32%";
	document.getElementById("buttonUp").style.width = buttomSize + "px";
	document.getElementById("buttonUp").style.height = buttomSize + "px";
	document.getElementById("buttonUp").style.left = marginLeftRight + buttomSize + "px";
	document.getElementById("buttonUp").style.background = "url('file:///android_asset/www/img/up.svg') no-repeat center center";
	document.getElementById("buttonUp").style.backgroundSize = "contain";
	document.getElementById("buttonUp").style.zIndex = "3";
	document.getElementById("buttonUp").style.marginTop = 0 - adHeight - buttomSize + "px";
	
	document.getElementById("buttonCenter").style.position = "absolute";
	document.getElementById("buttonCenter").style.top = "32%";
	document.getElementById("buttonCenter").style.width = buttomSize + "px";
	document.getElementById("buttonCenter").style.height = buttomSize + "px";
	document.getElementById("buttonCenter").style.left = marginLeftRight + buttomSize + "px";
	document.getElementById("buttonCenter").style.background = "url('file:///android_asset/www/img/center.svg') no-repeat center center";
	document.getElementById("buttonCenter").style.backgroundSize = "contain";
	document.getElementById("buttonCenter").style.zIndex = "3";
	document.getElementById("buttonCenter").style.marginTop = 0 - adHeight + "px";
	
	document.getElementById("buttonDown").style.position = "absolute";
	document.getElementById("buttonDown").style.top = "32%";
	document.getElementById("buttonDown").style.width = buttomSize + "px";
	document.getElementById("buttonDown").style.height = buttomSize + "px";
	document.getElementById("buttonDown").style.left = marginLeftRight + buttomSize + "px";
	document.getElementById("buttonDown").style.background = "url('file:///android_asset/www/img/down.svg') no-repeat center center";
	document.getElementById("buttonDown").style.backgroundSize = "contain";
	document.getElementById("buttonDown").style.zIndex = "3";
	document.getElementById("buttonDown").style.marginTop = 0 - adHeight + buttomSize + "px";
	
	document.getElementById("buttonLeft").style.position = "absolute";
	document.getElementById("buttonLeft").style.top = "32%";
	document.getElementById("buttonLeft").style.width = buttomSize + "px";
	document.getElementById("buttonLeft").style.height = buttomSize + "px";
	document.getElementById("buttonLeft").style.left = marginLeftRight + "px";
	document.getElementById("buttonLeft").style.background = "url('file:///android_asset/www/img/left.svg') no-repeat center center";
	document.getElementById("buttonLeft").style.backgroundSize = "contain";
	document.getElementById("buttonLeft").style.zIndex = "3";
	document.getElementById("buttonLeft").style.marginTop = 0 - adHeight + "px";
	
	document.getElementById("buttonRight").style.position = "absolute";
	document.getElementById("buttonRight").style.top = "32%";
	document.getElementById("buttonRight").style.width = buttomSize + "px";
	document.getElementById("buttonRight").style.height = buttomSize + "px";
	document.getElementById("buttonRight").style.left = marginLeftRight + buttomSize+ buttomSize + "px";
	document.getElementById("buttonRight").style.background = "url('file:///android_asset/www/img/right.svg') no-repeat center center";
	document.getElementById("buttonRight").style.backgroundSize = "contain";
	document.getElementById("buttonRight").style.zIndex = "3";
	document.getElementById("buttonRight").style.marginTop = 0 - adHeight + "px";	
	
	document.getElementById("buttonPlus").style.position = "absolute";
	document.getElementById("buttonPlus").style.top = "32%";
	document.getElementById("buttonPlus").style.width = buttomSize + "px";
	document.getElementById("buttonPlus").style.height = buttomSize + "px";
	document.getElementById("buttonPlus").style.right = marginLeftRight + marginTopDown + "px";
	document.getElementById("buttonPlus").style.background = "url('file:///android_asset/www/img/plus.svg') no-repeat center center";
	document.getElementById("buttonPlus").style.backgroundSize = "contain";
	document.getElementById("buttonPlus").style.zIndex = "3";
	document.getElementById("buttonPlus").style.marginTop = 0 - adHeight - buttomSize + "px";
	
	document.getElementById("buttonNumber").style.position = "absolute";
	document.getElementById("buttonNumber").style.top = "32%";
	document.getElementById("buttonNumber").style.width = buttomSize + "px";
	document.getElementById("buttonNumber").style.height = buttomSize + "px";
	document.getElementById("buttonNumber").style.right = marginLeftRight + marginTopDown + "px";
	document.getElementById("buttonNumber").style.background = "url('file:///android_asset/www/img/number1.svg') no-repeat center center";
	document.getElementById("buttonNumber").style.backgroundSize = "contain";
	document.getElementById("buttonNumber").style.zIndex = "3";
	document.getElementById("buttonNumber").style.marginTop = 0 - adHeight + "px";
	
	document.getElementById("buttonRun").style.position = "absolute";
	document.getElementById("buttonRun").style.top = "32%";
	document.getElementById("buttonRun").style.width = buttomSize + "px";
	document.getElementById("buttonRun").style.height = buttomSize + "px";
	
	if(storeReady)
	{
		if(smallCoffee.state == store.OWNED && onLine)
		{
			document.getElementById("buttonRun").style.right = doubleMarginLeftRight + marginTopDown + doubleMarginLeftRight + marginTopDown + "px";
		}
		else
		{
			document.getElementById("buttonRun").style.right = marginLeftRight + marginTopDown + marginLeftRight + marginTopDown + "px";
		}
	}
	else
	{
		document.getElementById("buttonRun").style.right = marginLeftRight + marginTopDown + marginLeftRight + marginTopDown + "px";
	}
	
	document.getElementById("buttonRun").style.background = "url('file:///android_asset/www/img/run.svg') no-repeat center center";
	document.getElementById("buttonRun").style.backgroundSize = "contain";
	document.getElementById("buttonRun").style.zIndex = "3";
	document.getElementById("buttonRun").style.marginTop = 0 - adHeight + "px";
	
	document.getElementById("buttonMinus").style.position = "absolute";
	document.getElementById("buttonMinus").style.top = "32%";
	document.getElementById("buttonMinus").style.width = buttomSize + "px";
	document.getElementById("buttonMinus").style.height = buttomSize + "px";
	document.getElementById("buttonMinus").style.right = marginLeftRight + marginTopDown + "px";
	document.getElementById("buttonMinus").style.background = "url('file:///android_asset/www/img/minus.svg') no-repeat center center";
	document.getElementById("buttonMinus").style.backgroundSize = "contain";
	document.getElementById("buttonMinus").style.zIndex = "3";
	document.getElementById("buttonMinus").style.marginTop = 0 - adHeight + buttomSize + "px";
	
	document.getElementById("buttonreset").style.position = "absolute";
	document.getElementById("buttonreset").style.top = "100%";
	document.getElementById("buttonreset").style.marginTop = (0 - buttomSize - doubleMarginTopDown - adHeight) + "px";
	document.getElementById("buttonreset").style.width = buttomSize + "px";
	document.getElementById("buttonreset").style.height = buttomSize + "px";
	document.getElementById("buttonreset").style.left = marginLeftRight + marginTopDown + "px";
	document.getElementById("buttonreset").style.zIndex = "3";
	
	document.getElementById("buttonDefine").style.position = "absolute";
	document.getElementById("buttonDefine").style.top = "100%";
	document.getElementById("buttonDefine").style.width = buttomSize + "px";
	document.getElementById("buttonDefine").style.height = buttomSize + "px";
	document.getElementById("buttonDefine").style.marginTop = (0 - buttomSize - doubleMarginTopDown - adHeight) + "px";
	document.getElementById("buttonDefine").style.right = marginLeftRight + marginTopDown + "px";
	document.getElementById("buttonDefine").style.zIndex = "3";
	
	if(document.getElementById("preview").innerHTML != "")
	{
		document.getElementById("previewOver").style.background = "url('file:///android_asset/www/img/move-scale-1.svg') no-repeat center center";
		document.getElementById("buttonreset").style.background = "url('file:///android_asset/www/img/reset-1.svg') no-repeat center center";
		document.getElementById("buttonDefine").style.background = "url('file:///android_asset/www/img/ok-1.svg') no-repeat center center";
	}
	else
	{
		document.getElementById("previewOver").style.background = "url('file:///android_asset/www/img/move-scale-0.svg') no-repeat center center";
		document.getElementById("buttonreset").style.background = "url('file:///android_asset/www/img/reset-0.svg') no-repeat center center";
		document.getElementById("buttonDefine").style.background = "url('file:///android_asset/www/img/ok-0.svg') no-repeat center center";
	}
	document.getElementById("previewOver").style.backgroundSize = "25%";
	document.getElementById("buttonreset").style.backgroundSize = "contain";
	document.getElementById("buttonDefine").style.backgroundSize = "contain";
	
	document.getElementById("helpSquare").style.left = marginLeftRight + "px";
	document.getElementById("helpSquare").style.top = marginTopDown + "px";
	document.getElementById("helpSquare").style.right = marginLeftRight + "px";
	document.getElementById("helpSquare").style.bottom = (adHeight + marginTopDown) + "px";
	
	document.getElementById("helpMove").style.top = ((screen_h - adHeight) / 4 * 3) + "px";
	document.getElementById("helpMove").style.left = marginLeftRight + "px";
	document.getElementById("helpMove").style.width = (screen_w * 0.39) + "px";
	document.getElementById("helpMove").style.height = (screen_w * 0.39) + "px";
	document.getElementById("helpMove").style.marginTop = (screen_w * 0.39 / 2 * (-1)) + "px";
	document.getElementById("helpPinch").style.top = ((screen_h - adHeight) / 4) + "px";
	document.getElementById("helpPinch").style.right = marginLeftRight + "px";
	document.getElementById("helpPinch").style.width = (screen_w * 0.39) + "px";
	document.getElementById("helpPinch").style.height = (screen_w * 0.39) + "px";
	document.getElementById("helpPinch").style.marginTop = (screen_w * 0.39 / 2 * (-1)) + "px";

	document.getElementById("helpMessage").style.fontSize = (screen_w * 0.035) + "px";
	
	document.getElementById("news").style.marginBottom = adHeight + "px";
	document.getElementById("newsNo").style.lineHeight = (((screen_h * 0.6) - adHeight) * 0.15) + "px";
	document.getElementById("newsYes").style.lineHeight = (((screen_h * 0.6) - adHeight) * 0.15) + "px";
	document.getElementById("newsNo").style.fontSize = (screen_w * 0.037) + "px";
	document.getElementById("newsYes").style.fontSize = (screen_w * 0.037) + "px";
	
	document.getElementById("previewOnOff").style.fontSize = (screen_w * 0.032) + "px";
	document.getElementById("vibrationOnOff").style.fontSize = (screen_w * 0.032) + "px";
	document.getElementById("vibrationOnOff").style.lineHeight = (screen_h * 0.05) + "px";
	document.getElementById("thanks").style.fontSize = (screen_w * 0.035) + "px";
	document.getElementById("support1").style.fontSize = (screen_w * 0.032) + "px";
	document.getElementById("support2").style.fontSize = (screen_w * 0.032) + "px";
	document.getElementById("support3").style.fontSize = (screen_w * 0.032) + "px";
	document.getElementById("otherapps").style.fontSize = (screen_w * 0.035) + "px";
	document.getElementById("app1").style.fontSize = (screen_w * 0.032) + "px";
	document.getElementById("app2").style.fontSize = (screen_w * 0.032) + "px";
	document.getElementById("app3").style.fontSize = (screen_w * 0.032) + "px";
	
	document.getElementById("slidersTitle").style.top = "16%";
	document.getElementById("slidersTitle").innerHTML = BGColorTXT;
	document.getElementById("slidersTitle").style.fontSize = (screen_w * 0.032) + "px";
	
	document.getElementById("slidersEyeDropper").style.top = "14.5%";
	
	document.getElementById("sliderR").style.top = "23%";
	document.getElementById("sliderG").style.top = "28%";
	document.getElementById("sliderB").style.top = "33%";
	
	document.getElementById("sliderR").style.width = sliderWidth + "px";
	document.getElementById("sliderG").style.width = sliderWidth + "px";
	document.getElementById("sliderB").style.width = sliderWidth + "px";
	
	document.getElementById("sliderBTR").style.left = (sliderWidth * 0.9 / 255 * redBG) + "px";
	document.getElementById("sliderBTG").style.left = (sliderWidth * 0.9 / 255 * greenBG) + "px";
	document.getElementById("sliderBTB").style.left = (sliderWidth * 0.9 / 255 * blueBG) + "px";
	
	sliderLimitLeft = marginLeftRight + ((screen_w - doubleMarginLeftRight) * 0.1);
	sliderLimitRight = marginLeftRight + ((screen_w - doubleMarginLeftRight) * 0.9);
	
	sliderIncrement = sliderWidth * 0.9 / 255;
	if(sliderIncrement < 1)
	{
		sliderIncrement = 1;
	}
	
	if(!justSawHelp)
	{
		helpOrganize();
	}
	
	document.getElementById("previewExt").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
	document.getElementById("previewLandscapeExt").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 0.3)";
}

function backPressed()
{
	if(document.getElementById("Menu").style.visibility == "visible")
	{
		openCloseMenu();
	}
	else
	{
		navigator.app.exitApp();
	}
}

function showMessage(externMsg, durationMessage)
{
	document.getElementById("previewOver").innerHTML = "<br /><br /><br /><br />" + externMsg;
	clearTimeout(messageTimeOut);
	messageTimeOut = setTimeout(function()
	{
		document.getElementById("previewOver").innerHTML = "";
	}, durationMessage);
}

function showMainButtons()
{
	document.getElementById("buttonPick").style.marginLeft = "0px";
	document.getElementById("buttonMenuOpt").style.marginRight = "0px";
	document.getElementById("buttonreset").style.marginLeft = "0px";
	document.getElementById("buttonDefine").style.marginRight = "0px";
}

function hideMainButtons()
{
	document.getElementById("buttonPick").style.marginLeft = "-200px";
	document.getElementById("buttonMenuOpt").style.marginRight = "-200px";
	document.getElementById("buttonreset").style.marginLeft = "-200px";
	document.getElementById("buttonDefine").style.marginRight = "-200px";
}

function showEditors()
{
	document.getElementById("buttonUp").style.marginLeft = "0px";
	document.getElementById("buttonCenter").style.marginLeft = "0px";
	document.getElementById("buttonDown").style.marginLeft = "0px";
	document.getElementById("buttonLeft").style.marginLeft = "0px";
	document.getElementById("buttonRight").style.marginLeft = "0px";
	document.getElementById("buttonPlus").style.marginRight = "0px";
	document.getElementById("buttonNumber").style.marginRight = "0px";
	document.getElementById("buttonRun").style.marginRight = "0px";
	document.getElementById("buttonMinus").style.marginRight = "0px";
	document.getElementById("eyeDropper").style.marginTop = "0px";
}

function hideEditors()
{
	document.getElementById("buttonUp").style.marginLeft = "-200px";
	document.getElementById("buttonCenter").style.marginLeft = "-200px";
	document.getElementById("buttonDown").style.marginLeft = "-200px";
	document.getElementById("buttonLeft").style.marginLeft = "-200px";
	document.getElementById("buttonRight").style.marginLeft = "-200px";
	document.getElementById("buttonPlus").style.marginRight = "-200px";
	document.getElementById("buttonNumber").style.marginRight = "-200px";
	document.getElementById("buttonRun").style.marginRight = "-200px";
	document.getElementById("buttonMinus").style.marginRight = "-200px";
	document.getElementById("eyeDropper").style.marginTop = "-200px";
}
    
// GIF Stuff

function pickImage()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	document.getElementById("previewOver").innerHTML = "";
	navigator.camera.getPicture(pickImageOnSuccess, pickImageOnFail, { quality: 100, sourceType : Camera.PictureSourceType.PHOTOLIBRARY });
}

function pickImageOnSuccess(imageURI)
{
	chosenGIFbyUser = injectedObject.pathFile(imageURI);
	if((chosenGIFbyUser.substr(chosenGIFbyUser.length - 3, 3)).toLowerCase() == "gif")
	{
		document.getElementById("previewOver").style.background = "url('file:///android_asset/www/img/move-scale-1.svg') no-repeat center center";
		document.getElementById("buttonreset").style.background = "url('file:///android_asset/www/img/reset-1.svg') no-repeat center center";
		document.getElementById("buttonDefine").style.background = "url('file:///android_asset/www/img/ok-1.svg') no-repeat center center";
		document.getElementById("previewOver").style.backgroundSize = "25%";
		document.getElementById("buttonreset").style.backgroundSize = "contain";
		document.getElementById("buttonDefine").style.backgroundSize = "contain";
		imageURItemp = imageURI;
		chosenGIFScale = 1.0;
		injectedObject.changeImageScale(chosenGIFScale);
		chosenGIFFullPath = injectedObject.copyFile(chosenGIFbyUser);
		rand = Math.round(Math.random() * 10000);
		
		document.getElementById("preview").innerHTML = '<img id="previewImage" src="' + chosenGIFFullPath + '?random=' + rand + '" />';
		document.getElementById("previewLandscape").innerHTML = '<img id="previewImageLandscape" src="' + chosenGIFFullPath + '?random=' + rand + '" />';
		document.getElementById("previewImage").onload = function()
		{
			previewImg = document.getElementById('previewImage');
			previewImgLandscape = document.getElementById('previewImageLandscape');
			imageWidth = previewImg.clientWidth;
			imageHeight = previewImg.clientHeight;
			imageWidthLandscape = previewImgLandscape.clientWidth;
			imageHeightLandscape = previewImgLandscape.clientHeight;
			refreshPreviewSize();
			resetImage();
			showEditors();
			document.getElementById("slidersEyeDropper").style.background = "url('file:///android_asset/www/img/eyedropper-menu-1.svg') no-repeat right top";
			document.getElementById("slidersEyeDropper").style.backgroundSize = "contain";
			$('#slidersEyeDropper').unbind();
			$('#slidersEyeDropper').bind('touchstart', slidersEyeDropper);
        }
	}
	else
	{
		console.log("Selected image was not a GIF");
		showMessage(GIFErrorMsg, 5000);
		imageURI = imageURItemp;
		chosenGIFbyUser = injectedObject.pathFile(imageURI);
	}
}

function pickImageOnFail(message)
{
    console.log('Failed because: ' + message);
	showMessage(message, 10000);
}

function scaleImageDown()
{
	if(chosenGIFScale > 1.0)
	{
		chosenGIFScale = Math.round((chosenGIFScale - 0.1) * 10) / 10;
		injectedObject.changeImageScale(chosenGIFScale);
		refreshPreviewSize();
		imageMidPointX = ((xPreview) + (previewImg.width / 2));
		imageMidPointY = ((yPreview) + (previewImg.height / 2));
		document.getElementById("preview").style.left = (xPreview + (previewImg.width / 20 / chosenGIFScale)) + "px";
		document.getElementById("preview").style.top = (yPreview + (previewImg.height / 20 / chosenGIFScale)) + "px";
		
		document.getElementById("previewLandscape").style.left = ((xPreview + (previewImg.width / 20 / chosenGIFScale)) / 4) + "px";
		document.getElementById("previewLandscape").style.top = ((yPreview + (previewImg.height / 20 / chosenGIFScale)) / 4) + "px";
		xPreview = parseInt(document.getElementById("preview").style.left);
		yPreview = parseInt(document.getElementById("preview").style.top);
	}
}

function scaleImageUp()
{
	if(chosenGIFScale < 13.0)
	{
		chosenGIFScale = Math.round((chosenGIFScale + 0.1) * 10) / 10;
		injectedObject.changeImageScale(chosenGIFScale);
		refreshPreviewSize();
		imageMidPointX = ((xPreview) + (previewImg.width / 2));
		imageMidPointY = ((yPreview) + (previewImg.height / 2));
		document.getElementById("preview").style.left = (xPreview - (previewImg.width / 20 / chosenGIFScale)) + "px";
		document.getElementById("preview").style.top = (yPreview - (previewImg.height / 20 / chosenGIFScale)) + "px";
		
		document.getElementById("previewLandscape").style.left = ((xPreview - (previewImg.width / 20 / chosenGIFScale)) / 4) + "px";
		document.getElementById("previewLandscape").style.top = ((yPreview - (previewImg.height / 20 / chosenGIFScale)) / 4) + "px";
		xPreview = parseInt(document.getElementById("preview").style.left);
		yPreview = parseInt(document.getElementById("preview").style.top);
	}
}

function moveStart(ev)
{
	ev.preventDefault();
	var orig = ev.originalEvent;
	if(document.getElementById("preview").innerHTML != "")
	{
		xPreview = parseInt(document.getElementById("preview").style.left);
		yPreview = parseInt(document.getElementById("preview").style.top);
		if(orig.touches.length == 2)
		{
			moveAlwowed = false;
			scaling = true;
			dist0 = Math.sqrt((orig.touches[0].pageX - orig.touches[1].pageX) * (orig.touches[0].pageX - orig.touches[1].pageX) + (orig.touches[0].pageY - orig.touches[1].pageY) * (orig.touches[0].pageY - orig.touches[1].pageY));
		}
		else
		{
			moveAlwowed = true;
			xTouch = orig.touches[0].pageX;
			yTouch = orig.touches[0].pageY;
		}
	}
}

function moveMove(ev)
{
	ev.preventDefault();
	var orig = ev.originalEvent;
	if(document.getElementById("preview").innerHTML != "")
	{
		if(scaling)
		{
			dist1 = Math.sqrt((orig.touches[0].pageX - orig.touches[1].pageX) * (orig.touches[0].pageX - orig.touches[1].pageX) + (orig.touches[0].pageY - orig.touches[1].pageY) * (orig.touches[0].pageY - orig.touches[1].pageY));
			midPointX = ((orig.touches[0].pageX + orig.touches[1].pageX) / 2) - (parseInt(document.getElementById("previewExt").style.left));
			midPointY = ((orig.touches[0].pageY + orig.touches[1].pageY) / 2) - 60;
			if(dist1 > dist0 + 15)
			{
				scaleImageUp();
				dist0 = dist1;
			}
			else if(dist1 < dist0 - 15)
			{
				scaleImageDown();
				dist0 = dist1;
			}
		}
		else
		{
			if(moveAlwowed)
			{
				if(orig.touches[0].pageX < xTouch)
				{
					xPreview -= (xTouch - orig.touches[0].pageX);
					xTouch = orig.touches[0].pageX;
					document.getElementById("preview").style.left = xPreview + "px";
					document.getElementById("previewLandscape").style.left = (xPreview / 4) + "px";
				}
				else if(orig.touches[0].pageX > xTouch)
				{
					xPreview += (orig.touches[0].pageX - xTouch);
					xTouch = orig.touches[0].pageX;
					document.getElementById("preview").style.left = xPreview + "px";
					document.getElementById("previewLandscape").style.left = (xPreview / 4) + "px";
				}
				if(orig.touches[0].pageY < yTouch)
				{
					yPreview -= (yTouch - orig.touches[0].pageY);
					yTouch = orig.touches[0].pageY;
					document.getElementById("preview").style.top = yPreview + "px";
					document.getElementById("previewLandscape").style.top = (yPreview / 4) + "px";
				}
				else if(orig.touches[0].pageY > yTouch)
				{
					yPreview += (orig.touches[0].pageY - yTouch);
					yTouch = orig.touches[0].pageY;
					document.getElementById("preview").style.top = yPreview + "px";
					document.getElementById("previewLandscape").style.top = (yPreview / 4) + "px";
				}
			}
		}
	}
}

function moveEnd(ev)
{
	ev.preventDefault();
	var orig = ev.originalEvent;
	if(document.getElementById("preview").innerHTML != "")
	{
		if(scaling)
		{
			scaling = false;
		}
		else
		{
			if(moveAlwowed)
			{
				refreshPosition();
			}
		}
	}
}

function resetImage()
{
	if(document.getElementById("preview").innerHTML != "")
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		chosenGIFScale = 1;
		injectedObject.changeImageScale(chosenGIFScale);
		refreshPreviewSize();
		buttonCenter();
		document.getElementById("buttonNumber").style.background = "url('file:///android_asset/www/img/number1.svg') no-repeat center center";
		document.getElementById("buttonNumber").style.backgroundSize = "contain";
		frameRate = 1;
		injectedObject.changeframeRate(frameRate * (-1));
	}
}

function openGIFonSettings()
{
	if(document.getElementById("preview").innerHTML != "")
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		injectedObject.saveParams("GIFScale.txt", chosenGIFScale);
		injectedObject.saveParams("GIFPositionX.txt", Math.round(parseInt(document.getElementById("preview").style.left) * factor / chosenGIFScale));
		injectedObject.saveParams("GIFPositionY.txt", Math.round(parseInt(document.getElementById("preview").style.top) * factor / chosenGIFScale));
		injectedObject.saveParams("R.txt", redBG);
		injectedObject.saveParams("G.txt", greenBG);
		injectedObject.saveParams("B.txt", blueBG);
		injectedObject.saveParams("frameRate.txt", frameRate * (-1));
		setTimeout(function()
		{
			definingWallpaper = true;
			injectedObject.defineFile(chosenGIFConstant);
		}, 750);
	}
}

function refreshPosition()
{
	injectedObject.changeImagePosition(Math.round(parseInt(document.getElementById("preview").style.left) * factor / chosenGIFScale), Math.round(parseInt(document.getElementById("preview").style.top) * factor / chosenGIFScale));
}

function refreshPreviewSize()
{
	previewImg.width = (chosenGIFScale * imageWidth) / factor;
	previewImg.height = (chosenGIFScale * imageHeight) / factor;
	
	previewImgLandscape.width = ((chosenGIFScale * imageWidth) / factor) / 4;
	previewImgLandscape.height = ((chosenGIFScale * imageHeight) / factor) / 4;
}

function buttonPlus()
{
	if(frameRate < 9)
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		frameRate ++;
		if(frameRate == -1)
		{
			frameRate = 1;
		}
		injectedObject.changeframeRate(frameRate * (-1));
		document.getElementById("buttonNumber").style.background = "url('file:///android_asset/www/img/number" + frameRate + ".svg') no-repeat center center";
		document.getElementById("buttonNumber").style.backgroundSize = "contain";
	}
}

function buttonMinus()
{
	if(frameRate > -9)
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		frameRate --;
		if(frameRate == 0)
		{
			frameRate = -2;
		}
		injectedObject.changeframeRate(frameRate * (-1));
		document.getElementById("buttonNumber").style.background = "url('file:///android_asset/www/img/number" + frameRate + ".svg') no-repeat center center";
		document.getElementById("buttonNumber").style.backgroundSize = "contain";
	}
}

function buttonUp()
{
	if(document.getElementById("preview").innerHTML != "")
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		document.getElementById("preview").style.top = "0px";
		document.getElementById("previewLandscape").style.top = "0px";
		refreshPosition();
	}
}

function buttonDown()
{
	if(document.getElementById("preview").innerHTML != "")
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		document.getElementById("preview").style.top = screen_h - adHeight - marginTopDown - marginTopDown - previewImg.height + "px";
		document.getElementById("previewLandscape").style.top = (parseInt(document.getElementById("preview").style.top) / 4) + "px";
		refreshPosition();
	}
}

function buttonRight()
{
	if(document.getElementById("preview").innerHTML != "")
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		document.getElementById("preview").style.left = screen_w - marginLeftRight - marginLeftRight - previewImg.width + "px";
		document.getElementById("previewLandscape").style.left = (parseInt(document.getElementById("preview").style.left) / 4) + "px";
		refreshPosition();
	}
}

function buttonLeft()
{
	if(document.getElementById("preview").innerHTML != "")
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		document.getElementById("preview").style.left = "0px";
		document.getElementById("previewLandscape").style.left = "0px";
		refreshPosition();
	}
}

function buttonCenter()
{
	if(document.getElementById("preview").innerHTML != "")
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		document.getElementById("preview").style.left = screen_w - marginLeftRight - marginLeftRight - previewImg.width - ((screen_w - marginLeftRight - marginLeftRight - previewImg.width)/2)+ "px";
		document.getElementById("previewLandscape").style.left = (parseInt(document.getElementById("preview").style.left) / 4) + "px";
		document.getElementById("preview").style.top = screen_h - adHeight - marginTopDown - marginTopDown - previewImg.height -((screen_h - adHeight - marginTopDown - marginTopDown - previewImg.height)/2)+ "px";
		document.getElementById("previewLandscape").style.top = (parseInt(document.getElementById("preview").style.top) / 4) + "px";
		refreshPosition();
	}
}

// Menu Stuff

function openCloseMenu()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	document.getElementById("previewOnOff").innerHTML = previewOnOffTXT;
	document.getElementById("vibrationOnOff").innerHTML = vibrationOnOffTXT;
	document.getElementById("thanks").innerHTML = menuThanks;
	document.getElementById("support1").innerHTML = menuSupport1;
	document.getElementById("support2").innerHTML = menuSupport2;
	document.getElementById("support3").innerHTML = menuSupport3;
	if(document.getElementById("Menu").style.visibility != "visible")
	{
		$('#buttonMenuOpt').unbind();
		document.getElementById("Menu").style.visibility = "visible";
		document.getElementById("Menu").style.opacity = "1";
		setTimeout(function()
		{
			$('#buttonMenuOpt').bind('touchend', openCloseMenu);
			document.getElementById("previewExt").style.visibility = "hidden";
			document.getElementById("previewOver").style.visibility = "hidden";
			document.getElementById("buttonPick").style.visibility = "hidden";
			document.getElementById("buttonreset").style.visibility = "hidden";
			document.getElementById("buttonDefine").style.visibility = "hidden";
			document.getElementById("buttonUp").style.visibility = "hidden";
			document.getElementById("buttonDown").style.visibility = "hidden";
			document.getElementById("buttonRight").style.visibility = "hidden";
			document.getElementById("buttonLeft").style.visibility = "hidden";
			document.getElementById("buttonCenter").style.visibility = "hidden";
			document.getElementById("buttonPlus").style.visibility = "hidden";
			document.getElementById("buttonNumber").style.visibility = "hidden";
			document.getElementById("buttonRun").style.visibility = "hidden";
			document.getElementById("buttonMinus").style.visibility = "hidden";
			document.getElementById("buttonMenuOpt").style.background = "url('file:///android_asset/www/img/menu-1.svg') no-repeat top center";
			document.getElementById("buttonMenuOpt").style.backgroundSize = "contain";
		}, 600);
	}
	else
	{
		$('#buttonMenuOpt').unbind();
		document.getElementById("previewExt").style.visibility = "visible";
		document.getElementById("previewOver").style.visibility = "visible";
		document.getElementById("buttonPick").style.visibility = "visible";
		document.getElementById("buttonreset").style.visibility = "visible";
		document.getElementById("buttonDefine").style.visibility = "visible";
		document.getElementById("buttonUp").style.visibility = "visible";
		document.getElementById("buttonDown").style.visibility = "visible";
		document.getElementById("buttonRight").style.visibility = "visible";
		document.getElementById("buttonLeft").style.visibility = "visible";
		document.getElementById("buttonCenter").style.visibility = "visible";
		document.getElementById("buttonPlus").style.visibility = "visible";
		document.getElementById("buttonNumber").style.visibility = "visible";
		document.getElementById("buttonRun").style.visibility = "visible";
		document.getElementById("buttonMinus").style.visibility = "visible";
		document.getElementById("buttonMenuOpt").style.background = "url('file:///android_asset/www/img/menu-0.svg') no-repeat top center";
		document.getElementById("buttonMenuOpt").style.backgroundSize = "contain";
		document.getElementById("Menu").style.opacity = "0";
		setTimeout(function()
		{
			$('#buttonMenuOpt').bind('touchend', openCloseMenu);
			document.getElementById("Menu").style.visibility = "hidden";
		}, 600);
	}
}

function slidersEyeDropper()
{
	openCloseMenu();
	eyeDropper();
}

function eyeDropper()
{
	if(document.getElementById("preview").innerHTML != "")
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		document.getElementById("previewOver").style.background = "none";
		if(localStorage.getItem("previewLandscapeSetting") ==  "on")
		{
			document.getElementById("previewLandscapeExt").style.visibility = "hidden";
		}
		
		hideEditors();
		hideMainButtons();
		setTimeout(function()
		{
			showMessage(eyedropperTXT, 2000);
		}, 500);
		$('#previewOver').unbind();
		$('#previewOver').bind('touchstart', eyeDropperTouch);
	}
}

function eyeDropperTouch(ev)
{
	$('#previewOver').unbind();
	setTimeout(function()
	{
		if(vibrationSetting != "off" && vibrationSetting != null)
		{
			navigator.vibrate(vibTime);
		}
		ev.preventDefault();
		var orig = ev.originalEvent;
		relativeX = Math.round(orig.touches[0].pageX * (100 / screen_w * deviceDimX / 100));
		relativeY = Math.round(orig.touches[0].pageY * (100 / screen_h * deviceDimY / 100));
		injectedObject.eyeDropper(relativeX, relativeY);
		document.getElementById("previewOver").style.background = "url('file:///android_asset/www/img/move-scale-1.svg') no-repeat center center";
		document.getElementById("previewOver").style.backgroundSize = "25%";
		showMessage(" ", 100);
		showMainButtons();
		showEditors();
		if(localStorage.getItem("previewLandscapeSetting") ==  "on")
		{
			document.getElementById("previewLandscapeExt").style.visibility = "visible";
		}
		setTimeout(function()
		{
			redBG = injectedObject.getRR();
			greenBG = injectedObject.getGG();
			blueBG = injectedObject.getBB();
			document.getElementById("previewExt").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
			document.getElementById("previewLandscapeExt").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 0.3)";
			document.getElementById("sliderBTR").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
			document.getElementById("sliderBTG").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
			document.getElementById("sliderBTB").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
			document.getElementById("sliderBTR").style.left = (parseInt(document.getElementById("sliderR").style.width) * 0.9) / 255 * redBG + "px";
			document.getElementById("sliderBTG").style.left = (parseInt(document.getElementById("sliderG").style.width) * 0.9) / 255 * greenBG + "px";
			document.getElementById("sliderBTB").style.left = (parseInt(document.getElementById("sliderB").style.width) * 0.9) / 255 * blueBG + "px";
			$('#previewOver').bind('touchstart', moveStart);
			$('#previewOver').bind('touchmove', moveMove);
			$('#previewOver').bind('touchend touchcancel', moveEnd);
		}, 300);
	}, 200);
}

function previewLandscapeOnOff()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	if(document.getElementById("previewLandscapeExt").style.visibility != "visible")
	{
		document.getElementById("previewLandscapeExt").style.visibility = "visible";
		document.getElementById("previewOnOff").style.background = "url('file:///android_asset/www/img/on.png') no-repeat right center";
		document.getElementById("previewOnOff").style.backgroundSize = "contain";
		localStorage.setItem("previewLandscapeSetting", "on");
		previewLandscapeSetting = "on";
		
	}
	else
	{
		document.getElementById("previewLandscapeExt").style.visibility = "hidden";
		document.getElementById("previewOnOff").style.background = "url('file:///android_asset/www/img/off.png') no-repeat right center";
		document.getElementById("previewOnOff").style.backgroundSize = "contain";
		localStorage.setItem("previewLandscapeSetting", "off");
		previewLandscapeSetting = "off";
	}
}

function vibrationOnOff()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		document.getElementById("vibrationOnOff").style.background = "url('file:///android_asset/www/img/off.png') no-repeat right center";
		document.getElementById("vibrationOnOff").style.backgroundSize = "contain";
		localStorage.setItem("vibrationSetting", "off");
		vibrationSetting = localStorage.getItem('vibrationSetting');
	}
	else
	{
		navigator.vibrate(vibTime);
		document.getElementById("vibrationOnOff").style.background = "url('file:///android_asset/www/img/on.png') no-repeat right center";
		document.getElementById("vibrationOnOff").style.backgroundSize = "contain";
		localStorage.setItem("vibrationSetting", "on");
		vibrationSetting = localStorage.getItem('vibrationSetting');
	}
}

function support1()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	window.open('https://play.google.com/store/apps/details?id=com.awesome.giflivewallpaper', '_system', 'location=no');
}

function support2()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	window.plugins.socialsharing.share('GIF Live Wallpaper >> ', null, null, 'https://play.google.com/store/apps/details?id=com.awesome.giflivewallpaper');
}

function support3()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	if(onLine)
	{
		console.log("Purchasing a small coffee...");
		store.order("gif_live_wallpaper_small_coffee");
		document.getElementById("buttonMenuOpt").style.background = "url('file:///android_asset/www/img/menu-1.svg') no-repeat top center";
		document.getElementById("buttonMenuOpt").style.backgroundSize = "contain";
		document.getElementById("buttonMenuOpt").style.visibility = "visible";
	}
}

function app1()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	window.open('https://play.google.com/store/apps/details?id=com.awesome.WeatherForeKitty', '_system', 'location=no');
}

function app2()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	window.open('https://play.google.com/store/apps/details?id=com.awesome.daylight', '_system', 'location=no');
}

function app3()
{
	if(vibrationSetting != "off" && vibrationSetting != null)
	{
		navigator.vibrate(vibTime);
	}
	window.open('https://play.google.com/store/apps/details?id=com.awesome.simpleflashlight', '_system', 'location=no');
}

function sliderRMove(ev)
{
	ev.preventDefault();
	var orig = ev.originalEvent;
	if(orig.touches[0].pageX - sliderLimitLeft >= 0 && orig.touches[0].pageX <= (sliderLimitLeft + parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1)
	{
		document.getElementById("sliderBTR").style.left = orig.touches[0].pageX - sliderLimitLeft + "px";
	}
	else if(orig.touches[0].pageX - sliderLimitLeft < 0)
	{
		document.getElementById("sliderBTR").style.left = "0px";
	}
	else if(orig.touches[0].pageX - sliderLimitLeft > (sliderLimitLeft + parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1)
	{
		document.getElementById("sliderBTR").style.left = (parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1 + "px";
	}
	redBG = parseInt(255 / (parseInt(document.getElementById("sliderR").style.width) * 0.9) * parseInt(document.getElementById("sliderBTR").style.left));
	if(redBG < 0)
	{
		redBG = 0;
	}
	if(redBG > 255)
	{
		redBG = 255;
	}
	document.getElementById("sliderBTR").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
	document.getElementById("sliderBTG").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
	document.getElementById("sliderBTB").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
}

function sliderGMove(ev)
{
	ev.preventDefault();
	var orig = ev.originalEvent;
	if(orig.touches[0].pageX - sliderLimitLeft >= 0 && orig.touches[0].pageX <= (sliderLimitLeft + parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1)
	{
		document.getElementById("sliderBTG").style.left = orig.touches[0].pageX - sliderLimitLeft + "px";
	}
	else if(orig.touches[0].pageX - sliderLimitLeft < 0)
	{
		document.getElementById("sliderBTG").style.left = "0px";
	}
	else if(orig.touches[0].pageX - sliderLimitLeft > (sliderLimitLeft + parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1)
	{
		document.getElementById("sliderBTG").style.left = (parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1 + "px";
	}
	greenBG = parseInt(255 / (parseInt(document.getElementById("sliderG").style.width) * 0.9) * parseInt(document.getElementById("sliderBTG").style.left)) + 1;
	if(greenBG < 0)
	{
		greenBG = 0;
	}
	if(greenBG > 255)
	{
		greenBG = 255;
	}
	document.getElementById("sliderBTR").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
	document.getElementById("sliderBTG").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
	document.getElementById("sliderBTB").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
}

function sliderBMove(ev)
{
	ev.preventDefault();
	var orig = ev.originalEvent;
	if(orig.touches[0].pageX - sliderLimitLeft >= 0 && orig.touches[0].pageX <= (sliderLimitLeft + parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1)
	{
		document.getElementById("sliderBTB").style.left = orig.touches[0].pageX - sliderLimitLeft + "px";
	}
	else if(orig.touches[0].pageX - sliderLimitLeft < 0)
	{
		document.getElementById("sliderBTB").style.left = "0px";
	}
	else if(orig.touches[0].pageX - sliderLimitLeft > (sliderLimitLeft + parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1)
	{
		document.getElementById("sliderBTB").style.left = (parseInt(document.getElementById("sliderR").style.width) * 0.9) + 1 + "px";
	}
	blueBG = parseInt(255 / (parseInt(document.getElementById("sliderB").style.width) * 0.9) * parseInt(document.getElementById("sliderBTB").style.left)) + 1;
	if(blueBG < 0)
	{
		blueBG = 0;
	}
	if(blueBG > 255)
	{
		blueBG = 255;
	}
	document.getElementById("sliderBTR").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
	document.getElementById("sliderBTG").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
	document.getElementById("sliderBTB").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
}

function slidersEnd(ev)
{
	document.getElementById("previewExt").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 1.0)";
	document.getElementById("previewLandscapeExt").style.backgroundColor = "rgba(" + redBG + ", " + greenBG + ", " + blueBG + ", 0.3)";
	injectedObject.backgroundRGB(redBG, greenBG, blueBG);
}

function checkLanguage()
{
	navigator.globalization.getPreferredLanguage(
		function (language) 
		{
			console.log('Language: ' + language.value); 
			setLanguage(language.value);
		},
		function () 
		{
			console.log('Error getting language');
		}
	);
}

function setLanguage(lang)
{
	switch(lang) 
	{  
		case "pt":
		case "pt-BR":
		case "pt-PT":
			// portuguese
			helpMsg1 = "São apenas 3 passos pra definir<br />o seu GIF como Live Wallpaper. <br />Aqui você escolhe a imagem. <br />Toque na tela para continuar.";
			helpMsg2 = "Nesta área você<br />posiciona e dimensiona<br />a imagem como quiser.";
			helpMsg3 = "Se algo não estiver como você quer,<br />aqui você pode voltar para o tamanho<br />e posição originais da imagem.";
			helpMsg4 = "Tudo pronto? Aqui você vai para tela<br />do Live Wallpaper, vê como vai ficar<br />a animação e confirma sua escolha.";
			UserConsentMsg = 'Este aplicativo é gratuito.<br /><br />Para sustentar a mim e a minha família,<br />alguns poucos anúncios serão exibidos.<br /><br /><a style="color: #FFF" href="' + ppLink + '">Aqui você pode ler a política de privacidade.</a><br /><br />Continuar?';
	UserConsentY = "Sim";
	UserConsentN = "Não";
			GIFErrorMsg = "Apenas imagens '.GIF'.<br />Desculpas. :D";
			menuThanks = "Muito obrigado por usar o meu aplicativo.<br />Eu sou uma empresa de um homem só,<br />e é assim que eu pago minhas contas.<br />Se puder, por favor, apoie o meu trabalho.";
			menuSupport1 = "Dê ao<br />app algumas<br />estrelas";
			menuSupport2 = "Compartilhe<br />com amigos<br />e família";
			menuSupport3 = "Pague-me um<br />café e se livre<br />dos anúncios";
			otherappsTXT = "Quer conhecer meus aplicativos?";
			fullVersion = "Versão completa.";
			checking = "Verificando...";
			noInternet = "Sem conexão à internet.";
			previewOnOffTXT = "Visualização<br />horizontal";
			vibrationOnOffTXT = "Vibrar";
			BGColorTXT = "Cor de fundo (GIFs transparentes)";
			eyedropperTXT = "Toque em uma cor";
			newsTXT = "news-pt.jpg";
			newsNoTXT = "Não&nbsp;&nbsp;:_(";
			newsYesTXT = "Sim&nbsp;&nbsp;:cD";
		break;
		case "de-DE":
		case "de-AT":
		case "de-LI":
		case "de-CH":
		case "de-LU":
			// german 
			helpMsg1 = "Es gibt nur 3 einfache Schritte, um<br />deine GIF als Live Wallpaper einzustellen.<br />Hier kannst du deine GIF auswählen.<br />Berühr den Bildschirm um weiter zu gehen.";
			helpMsg2 = "In diesem Bereich kannst du die<br />Position und Größe des Bildes<br />verändern, wie du möchtest.";
			helpMsg3 = "Wenn die Dinge sehen<br />nicht gut aus, hier kannst du<br />Bildgröße und -position zurücksetzen.";
			helpMsg4 = "Alles fertig?<br />Hier gehst du in die Live Wallpaper<br />Einstellung, um deine Auswahl zu bestätigen.";
			UserConsentMsg = 'Das ist eine kostenlose App.<br /><br />Um mich und meine Familie zu unterstützen,<br />werde ich dir ein Paar Werbung zeigen.<br /><br /><a style="color: #FFF" href="' + ppLink + '">Hier kanntest du meine Datenschutzerklärung lesen.</a><br /><br />Weiter?';
			UserConsentY = "Ja";
			UserConsentN = "Nein";
			GIFErrorMsg = "Nur '.GIF' Bilder.<br />Entschuldigung. :D";
			menuThanks = "Dankeschön, dass du meine App verwendest.<br />Ich bin ein Einzelunternehmer und so<br />bezahle ich meine Rechnungen. Wenn die<br />App dir gefällt, bitte unterstütze meine Arbeit.";
			menuSupport1 = "Gib der App<br />ein Paar<br />Sterne";
			menuSupport2 = "Teile sie<br />mit Freunden<br />und Familie";
			menuSupport3 = "Kauf mir einen<br />Kaffee, sieh<br />keine Werbung";
			otherappsTXT = "Willst du meine Apps kennen?";
			fullVersion = "Vollversion.";
			checking = "Überprüfung...";
			noInternet = "Keine Internetverbindung.";
			previewOnOffTXT = "Querformat<br />Vorschau";
			vibrationOnOffTXT = "Vibrieren";
			BGColorTXT = "Hintergrundfarbe (transparente GIFs)";
			eyedropperTXT = "Berühre eine Farbe";
			newsTXT = "news-de.jpg";
			newsNoTXT = "Nein&nbsp;&nbsp;:_(";
			newsYesTXT = "Ja&nbsp;&nbsp;:cD";
		break;
		case "es":
		case "es-ES":
		case "es-US":
		case "es-AR":
		case "es-BO":
		case "es-CL":
		case "es-CO":
		case "es-CR":
		case "es-DO":
		case "es-EC":
		case "es-GT":
		case "es-HN":
		case "es-MX":
		case "es-NI":
		case "es-PA":
		case "es-PE":
		case "es-PR":
		case "es-PY":
		case "es-SV":
		case "es-UY":
		case "es-VE":
			// spanish 
			helpMsg1 = "Son sólo tres pasos para<br />configurar el GIF como Live Wallpaper.<br />Aquí eliges la imagen.<br />Toca la pantalla para continuar.";
			helpMsg2 = "En este área tu<br />mueves y escala la<br />imagen como desear.";
			helpMsg3 = "Si algo no está como quieres,<br />aquí se puede volver a la posición<br />y tamaño originales de la imagen.";
			helpMsg4 = "Todo listo?<br />Aquí vas a la pantalla de Live Wallpaper<br />para confirmar su elección.";
			UserConsentMsg = 'Esta es una aplicación gratuita.<br /><br />Para mantener a mí ya mi familia,<br />te mostraré algunos pocos anuncios.<br /><br /><a style="color: #FFF" href="' + ppLink + '">Aquí puedes leer mi política de privacidad.</a><br /><br />¿Adelante?';
			UserConsentY = "Si";
			UserConsentN = "No";
			GIFErrorMsg = "Sólo imágenes GIF.<br />Excusa. :D";
			menuThanks = "Muchas gracias por usar mi aplicación.<br />Yo soy una empresa de un hombre solo,<br />y así yo pago mis gastos. Si te gusta<br />mi aplicación, por favor apoya mi trabajo.";
			menuSupport1 = "Dale unas<br />estrellas y<br />una revisión";
			menuSupport2 = "Compártela<br />con tus amigos<br />y familiares";
			menuSupport3 = "Comprame un<br />café, sin<br />anuncios más";
			otherappsTXT = "¿Quieres conocer a mis aplicaciones?";
			fullVersion = "Versión completa.";
			checking = "Verificando...";
			noInternet = "Sin conexión a Internet.";
			previewOnOffTXT = "Vista previa<br />horizontal";
			vibrationOnOffTXT = "Vibrar";
			BGColorTXT = "Color de fondo (GIF transparentes)";
			eyedropperTXT = "Toca en un color";
			newsTXT = "news-es.jpg";
			newsNoTXT = "No&nbsp;&nbsp;:_(";
			newsYesTXT = "Sí&nbsp;&nbsp;:cD";
		break;
		case "es-US":
		case "en-US":
		case "en-AU":
		case "en-GB":
		case "en-CA":
		case "en-NZ":
		case "en-SG":
		case "en-IN":
		case "en-IE":
		case "en-ZA":
		default:
			// english 		
			helpMsg1 = "There are only 3 simple steps to<br />set your GIF as a Live Wallpaper.<br />Here you choose your GIF image.<br />Touch the screen to the next step.";
			helpMsg2 = "In this area you<br />position and scale the<br />image the way you like.";
			helpMsg3 = "If the things are not the way<br />you want, you can reset image<br />size and position here.";
			helpMsg4 = "All set?<br />Here you go to your phone settings<br />in order to confirm your selection.";
			UserConsentMsg = 'This is a free app.<br /><br />To be able to support myself and my family,<br />I will show you some few ads.<br /><br /><a style="color: #FFF" href="' + ppLink + '">Here you can read my privacy policy.</a><br /><br />Go ahead?';
			UserConsentY = "Yes";
			UserConsentN = "No";
			GIFErrorMsg = "Only '.GIF' images.<br />Sorry about that. :D";
			menuThanks = "Thank you so much for using my app.<br />I am a one man company and that's how<br />I pay my bills. If you like this app,<br />please support my work.";
			menuSupport1 = "Give the app<br />some stars<br />and a review";
			menuSupport2 = "Share it<br />with friends<br />and family";
			menuSupport3 = "Buy me a<br />coffee and get<br />rid of the ads";
			otherappsTXT = "Want to know my other apps?";
			fullVersion = "Full version.";
			checking = "Checking...";
			noInternet = "No Internet connection.";
			previewOnOffTXT = "Landscape<br />preview";
			vibrationOnOffTXT = "Vibrate";
			BGColorTXT = "Background color (transparent GIFs)";
			eyedropperTXT = "Pick a color";
			newsTXT = "news-en.jpg";
			newsNoTXT = "No&nbsp;&nbsp;:_(";
			newsYesTXT = "Yes&nbsp;&nbsp;:cD";
		break;
	}
	document.getElementById("helpMessage").innerHTML = helpMsg1;
	document.getElementById("slidersTitle").innerHTML = BGColorTXT;
	document.getElementById("otherapps").innerHTML = otherappsTXT;
	document.getElementById("app1").innerHTML = app1TXT;
	document.getElementById("app2").innerHTML = app2TXT;
	document.getElementById("app3").innerHTML = app3TXT;
	document.getElementById("news").style.background = "url('file:///android_asset/www/img/" + newsTXT + "') no-repeat top center";
	document.getElementById("news").style.backgroundSize = "cover";
	document.getElementById("newsNo").innerHTML = newsNoTXT;
	document.getElementById("newsYes").innerHTML = newsYesTXT;
}